Page MenuHomePhabricator

[VPlan] Use VPDef for VPWidenGEPRecipe.
ClosedPublic

Authored by fhahn on Nov 1 2020, 10:44 AM.

Details

Summary

This patch turns updates VPWidenGEPRecipe to manage the value it defines
using VPDef. The VPValue is used during VPlan construction and
codegeneration instead of the plain IR reference where possible.

Diff Detail

Event Timeline

fhahn created this revision.Nov 1 2020, 10:44 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 1 2020, 10:44 AM
fhahn requested review of this revision.Nov 1 2020, 10:44 AM
fhahn updated this revision to Diff 303236.Nov 5 2020, 1:00 PM

Updated to keep VPWidenGEPRecipe a VPValue which is then added to its VPDef. This simplifies things a bit.

fhahn updated this revision to Diff 303447.Nov 6 2020, 7:19 AM

Update after VPDef does not inherit from VPUser directly.

fhahn retitled this revision from [VPlan] Use VPDeffor VPWidenGEPRecipe. to [VPlan] Use VPDef for VPWidenGEPRecipe..
gilr accepted this revision.Dec 14 2020, 11:12 PM
This revision is now accepted and ready to land.Dec 14 2020, 11:12 PM
fhahn updated this revision to Diff 311839.Dec 15 2020, 1:30 AM

rebase before landing

This revision was landed with ongoing or failed builds.Dec 15 2020, 1:37 AM
This revision was automatically updated to reflect the committed changes.